%global debug_package %{nil}

Name:           eigen3
Version:        3.3.8
Release:        4
Summary:        A lightweight C++ template library for vector and matrix math

License:        MPLv2.0 and LGPLv2+ and BSD
URL:            http://eigen.tuxfamily.org/index.php?title=Main_Page
Source0:        https://gitlab.com/libeigen/eigen/-/archive/%{version}/eigen-%{version}.tar.bz2
Patch0:		0001-rebuild-and-modify-exception-error.patch

BuildRequires:  cmake
BuildRequires:  make
BuildRequires:  gcc-c++
BuildRequires:  doxygen

%description
%{summary}.


%package devel
Summary:        A lightweight C++ template library for vector and matrix math
BuildArch:      noarch
# -devel subpkg only atm, compat with other distros
Provides:       %{name} = %{version}-%{release}
# not *strictly* a -static pkg, but the results are the same
Provides:       %{name}-static = %{version}-%{release}

%description devel
%{summary}.

%prep
%autosetup -p1 -n eigen-%{version}

%build
mkdir build_dir
pushd build_dir
%cmake ../ -DINCLUDE_INSTALL_DIR=include/%{name}
popd

%install
mkdir -p %{buildroot}%{_includedir}/%{name}/
cp -r unsupported %{buildroot}%{_includedir}/%{name}/
cp -r Eigen %{buildroot}%{_includedir}/%{name}/
%make_install -C build_dir

%files devel
%license COPYING.README COPYING.BSD COPYING.MPL2 COPYING.LGPL
%defattr(0644, root, root, 0755)
%{_includedir}/%{name}
%{_datadir}
%changelog
* Mon May 23 2022 tanyulong <tanyulong@kylinos.cn> - 3.3.8-4
- Building opencv,eigen_assert_exception’ is not a member of ‘Eigen’

* Fri Apr 15 2022 tanyulong <tanyulong@kylinos.cn> - 3.3.8-3
- fix cmake build error

* Sat Mar 27 2021 herengui <herengui@uniontech.com> - 3.3.8-2
- fix empty include directory issue

* Tue Dec 1 2020 hubble_zhu<hubble_zhu@qq.com> - 3.3.8-1
- package init

